/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package web;

import ejb.NewsEntity;
import ejb.NewsEntityFacade;
import java.io.IOException;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 *
 * @author sinem
 */
@WebServlet(name="UpdateFlag", urlPatterns={"/UpdateFlag"})
public class UpdateFlag extends HttpServlet {
    @EJB
    private NewsEntityFacade newsEntityFacade;


   

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {

         String url=request.getQueryString();
         String actionType=url.substring(url.indexOf("=")+1,url.indexOf("&"));
         Long id=Long.parseLong(url.substring(url.lastIndexOf("=")+1));

         NewsEntity ne=newsEntityFacade.find(id);
         if(actionType.equals("1")) //inapp
         {
            int app=ne.getInappropriate();
            ne.setInappropriate(app+1);
            newsEntityFacade.edit(ne);

         }
         else
         {
             int wro=ne.getWrongTopic();
             ne.setWrongTopic(wro+1);
             newsEntityFacade.edit(ne);
         }

         response.sendRedirect("ShowMessage?id="+ne.getId());



    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
